import { ElementRef, Renderer2, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ToolTipDirective implements OnInit {
    private el;
    private renderer;
    tooltipTitle: string;
    placement: string;
    type: any;
    tooltipMandatory: boolean;
    showTooltip: boolean;
    animate: boolean;
    tooltip: HTMLElement;
    offset: number;
    constructor(el: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    onMouseEnter(): void;
    onMouseOver(): void;
    onMouseLeave(): void;
    onMouseOut(): void;
    onClick(): void;
    show(): void;
    hide(): void;
    create(): void;
    setPosition(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolTipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ToolTipDirective, "[appTooltip]", never, { "tooltipTitle": { "alias": "appTooltip"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "type": { "alias": "type"; "required": false; }; "tooltipMandatory": { "alias": "tooltipMandatory"; "required": false; }; "showTooltip": { "alias": "showTooltip"; "required": false; }; "animate": { "alias": "animate"; "required": false; }; }, {}, never, never, false, never>;
}
